SystemOrganization addCategory: #ConfigurationOfXMLParser!

Object subclass: #ConfigurationOfXMLParser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfXMLParser'!

!ConfigurationOfXMLParser commentStamp: '<historical>' prior: 0!
(ConfigurationOfXMLParser project version: #stable) load

(ConfigurationOfXMLParser project version: '1.0') load
!

!ConfigurationOfXMLParser class methodsFor: 'private' stamp: 'DaleHenrichs 2/7/2010 09:39'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfXMLParser class methodsFor: 'private' stamp: 'DaleHenrichs 2/7/2010 09:39'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfXMLParser class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 2/7/2010 09:39'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfXMLParser class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 2/7/2010 09:39'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfXMLParser class methodsFor: 'loading' stamp: 'JAAyer 11/20/2010 08:31'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfXMLParser class methodsFor: 'loading' stamp: 'JAAyer 11/20/2010 08:32'!
loadDefault
	"self loadDefault"

	^ self loadMostRecentCoreWithTests! !

!ConfigurationOfXMLParser class methodsFor: 'loading' stamp: 'JAAyer 11/20/2010 08:32'!
loadMostRecentCoreWithTests
	^self project lastVersion load: #('Core' 'Tests')! !

!ConfigurationOfXMLParser class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 2/7/2010 09:39'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfXMLParser class methodsFor: 'accessing' stamp: 'DaleHenrichs 2/7/2010 09:39'!
project

	^self new project! !

!ConfigurationOfXMLParser class methodsFor: 'unloading Metacello' stamp: 'DaleHenrichs 2/7/2010 09:39'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfXMLParser methodsFor: 'baselines' stamp: 'StephaneDucasse 3/2/2013 21:26'!
baseline10: spec
	<version: '1.0-baseline'>
	spec
		for: #common
		do: [ 
			spec
				blessing: #baseline;
				description: 'Migrated to SmalltalkHub';
				author: 'StephaneDucasse';
				timestamp: '02/03/2013';
				repository: 'http://www.smalltalkhub.com/mc/PharoExtras/XMLParser/main'.

			spec project: 'BitmapCharacterSet'
					with: [ spec 
								className: 'ConfigurationOfBitmapCharacterSet';
								versionString: #stable;
								repository: 'http://www.smalltalkhub.com/mc/PharoExtras/BitmapCharacterSet/main'.].
			
			spec package: 'XML-Parser'.	
			spec package: 'XML-Tests-Parser'
					with: [ spec requires: 'XML-Parser' ].
			
			spec
				group: 'default' with: #('Core');
				group: 'Core' with: #('XML-Parser');
				group: 'Tests' with: #('XML-Tests-Parser') ].
! !

!ConfigurationOfXMLParser methodsFor: 'symbolic versions' stamp: 'StephaneDucasse 3/2/2013 21:26'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.
	! !

!ConfigurationOfXMLParser methodsFor: 'accessing' stamp: 'DaleHenrichs 2/7/2010 09:39'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfXMLParser methodsFor: 'symbolic versions' stamp: 'StephaneDucasse 3/2/2013 21:09'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
	! !

!ConfigurationOfXMLParser methodsFor: 'versions' stamp: 'StephaneDucasse 3/2/2013 21:09'!
version100: spec
	<version: '1.0' imports: #('1.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #release.
			spec
				package: 'XML-Parser' with: 'XML-Parser-NorbertHartl.141';
				package: 'XML-Tests-Parser' with: 'XML-Tests-Parser-JAA.14' 
				].
	
	! !
